# Uses of Class
javax.imageio.spi.ImageReaderSpi

Packages that use ImageReaderSpi
Package
Description
javax.imageio
The main package of the Java Image I/O API.

- ## Uses of ImageReaderSpi in javax.imageio

  Fields in javax.imageio declared as ImageReaderSpi
  Modifier and Type
  Field
  Description
  `protected ImageReaderSpi`
  ImageReader.`originatingProvider`
  The `ImageReaderSpi` that instantiated this object, or `null` if its identity is not known or none exists.
  Methods in javax.imageio that return ImageReaderSpi
  Modifier and Type
  Method
  Description
  `ImageReaderSpi`
  ImageReader.`getOriginatingProvider()`
  Returns the `ImageReaderSpi` that was passed in on the constructor.
  Constructors in javax.imageio with parameters of type ImageReaderSpi
  Modifier
  Constructor
  Description
  `protected`
  `ImageReader(ImageReaderSpi originatingProvider)`
  Constructs an `ImageReader` and sets its `originatingProvider` field to the supplied value.